#include <iostream>
using namespace std;

int main() {

	int N, K;
	long M;
	/*
	* N broj ucenika 250
	M banane 1000
	K grupe 17
	*/
	long upg;
	int ostatak;
	int gr1;
	long zbir=0;
	cin >> N >> M >> K;
	upg = N / K; // 14
	ostatak = N % K; // 12 
	gr1 = K - ostatak; // 5

	for (long i = 0, i < upg; i++) {
		zbir = zbir + i;
	}

	if (zbir <= M)
		cout << "Tak";
	else
		cout << "Nie";
	/*
	sickim dame 14!+
	tiz tak treba da vidzime keljo jest toti htori dobiju +15
	tih jest ostatok
	5*15 + 14! * grupi

	14! za sickih 
	+
	ostatok * 15

	*/
	// upg! * grupe + (upg + 1) * gr1
	//napisac fju htora budze rahovac "faktorijel"
	//uporedizc zbiri zoz M
	//if fja ked hej pis TAk ked nje ved nie i hotove

	return 0;
}